const seeIfChanged = (iterator, order, dateKey) => {
    //arr -> array to be checked
    //order -> order in which the array comes in - return will always be descending (newest first)
    // if order comes in ascending use 0, if descending 1
    //name of the key e.g., changedDateTime (as string) 
    let arr = []
    if (order === 0) {
        arr = iterator.reverse()
    } else {
        arr = iterator
    };
    let changes = [] 
    for (var x = 0; x < arr.length-1; x++) {
        let valuesX = Object.values(arr[x])
        let keysX = Object.keys(arr[x])
        let values1 = Object.values(arr[x+1])
        for (var i = 0; i < valuesX.length; i++) {
            let sets = {}
            if (keysX[i] !== dateKey) {
                if (valuesX[i] !== values1[i])  { 
                    sets['changedAt'] = arr[x][dateKey]
                    sets['what'] = keysX[i]
                    sets['from'] = values1[i]
                    sets['fromAt'] = arr[x+1][dateKey]
                    sets['to'] = valuesX[i]
                } else {
                    continue
                } 
                changes.push(sets)
            }
        }              
    }
    return changes
}           

export default seeIfChanged;